[Ncep.list.nems.announce] nems r84808: Updates to new regression tests. This adds several re...

Samuel.Trahan at noaa.gov Samuel.Trahan at noaa.gov
Wed Nov 23 15:43:08 UTC 2016


Friendly NEMS developers,

This is an automated email about a NEMS commit.

Project: nems
URL: https://svnemc.ncep.noaa.gov/projects/nems/trunk
Revision: 84808
Author:   samuel.trahan at noaa.gov
Date:     2016-11-23T15:28:09.120608Z
Message:
Updates to new regression tests.  This adds several requested features, including:
1. Script to request a rerun of failed tests (rtrewind, a wrapper around rocotorewind)
2. Ability to specify alternate baseline locations by command line (instead of editing a file).
3. Workaround for bash issue when copying empty directories (/path/to/* becomes /path/to/* instead of the null string).


See attached file for full differences.


First 4000 bytes of differences:
Index: checkout/tests/rtgen
===================================================================
--- checkout/tests/rtgen	(revision 84790)
+++ checkout/tests/rtgen	(revision 84808)
@@ -18,6 +18,11 @@
     sys.stderr.write('ABORT: %s\n'%(how,))
     exit(1)
 
+RTREWIND_SCRIPT_MEAT=r'''
+set --
+rocotorewind -c $CYCLE -w workflow.xml -d workflow.db
+'''
+
 RTRUN_SCRIPT_MEAT=r'''
 verbose=0
 loop=MISSING
@@ -79,6 +84,9 @@
     echo $( date '+%m/%d %H:%M:%SZ' ) rtrun INFO: "$*"
   fi
 }
+unchange=0
+last_cycledone=-999
+last_lostdead=-999
 while [[ 1 == 1 ]] ; do
   log "check dependencies and submit jobs..."
   rocotorun -w workflow.xml -d workflow.db
@@ -85,6 +93,18 @@
   verbose "check status..."
   cycledone=$( sqlite3 workflow.db 'SELECT id FROM cycles WHERE done>0' | wc -l )
   lostdead=$( sqlite3 workflow.db 'SELECT taskname FROM jobs WHERE state=="DEAD" OR state=="LOST"' |wc -l)
+  if [[ "$cycledone" == "$last_cycledone" && \
+        "$lostdead"  == "$last_lostdead" ]] ; then
+      unchange=$(( $unchange + 1 ))
+  else
+      unchange=0
+  fi
+  last_cycledone=$cycledone
+  last_lostdead=$lostdead
+  if [[ "$cycledone" != "$last_cycledone" && \
+        "$lostdead"  != "$last_lostdead" ]] ; then
+    count_since_state_change=$(( count_since_state_change + 1 ))
+  fi
   if [[ "$cycledone" -gt 0 ]] ; then
       # Cycle is complete.
       if [[ "$lostdead" -gt 0 ]] ; then
@@ -121,11 +141,25 @@
           log "workflow is still running and no jobs have failed."
       fi
   fi
-  if [[ "$verbose" -gt 0 && "$have_qoutq" == YES ]] ; then
-      verbose "sleep 2"
-      sleep 2
-      verbose "get queue information"
-      qoutq $qoutq_more -Cd rtgen.$UNIQUE_ID
+  if [[ "$have_qoutq" == YES ]] ; then
+      job_count=$( qoutq -UL .queue_state  $qoutq_more -Cd rtgen.$UNIQUE_ID | wc -l )
+      if [[ "$verbose" -gt 0 ]] ; then
+          verbose "sleep 2"
+          sleep 2
+          verbose "get queue information"
+          qoutq -UL .queue_state $qoutq_more -Cd rtgen.$UNIQUE_ID
+      fi
+      if [[ "$unchange" -gt 2 && "$job_count" < 1 && "$lostdead" -gt 0 ]] ; then
+          log "Jobs have FAILED and no jobs are running or submitted."
+          log "This usually means the remaining jobs are dependent"
+          log "on the FAILED jobs.  Quitting workflow; please check"
+          log "the failed jobs."
+          if [[ "$zero_exit" == YES ]] ; then
+              exit 0
+          else
+              exit 20
+          fi
+      fi
   fi
   log "sleep $sleep_time"
   sleep $sleep_time
@@ -203,9 +237,10 @@
   -u 12345
        Unique integer id to identify this workflow.  Default: unix
        process id of rtgen
-  -n
-       Do not copy the regression test template directory when
-       generating a new baseline.
+  -n /path/to/baseline
+       Use the specified area for the baseline.  If running in baseline
+       mode, the baseline template will NOT be copied.  Instead, the
+       specified area will be used.
   --
        Terminate option processing.  Remaining arguments are subsets.
 
@@ -381,11 +416,11 @@
 
 class RTGen(TestGen):
     def __init__(self,baseline,scratch_dir,unique_id=None,
-                 logger=None,no_copy_template=False,
+                 logger=None,baseline_dir=None,
                  verbose=True,dry_run=False,inputfile=None,
                  setarith=None):
         baseline=bool(baseline)
-        self.no_copy_template=bool(no_copy_template)
+        self.no_copy_template = baseline_dir is not None
         if unique_id is None:
             unique_id=os.getpid()
         scratch_dir=os.path.join(scratch_dir,'rtgen.%d'%unique_id)
@@ -396,8 +431,8 @@
             RocotoRunner,outloc,inputfile,dry_run,unique_id,
             logger=logger,verbose=verbose,setarith=setarith)
         self._scratch_dir=scratch_dir
-        self._new_baseline=None
-        if baseline:
+        self._new_baseline=baseline_dir
+        if baseline and not self._new_baseline:
             self._new_baseline=o


... see attachment for the rest ...
-------------- next part --------------
Index: checkout/tests/rtgen
===================================================================
--- checkout/tests/rtgen	(revision 84790)
+++ checkout/tests/rtgen	(revision 84808)
@@ -18,6 +18,11 @@
     sys.stderr.write('ABORT: %s\n'%(how,))
     exit(1)
 
+RTREWIND_SCRIPT_MEAT=r'''
+set --
+rocotorewind -c $CYCLE -w workflow.xml -d workflow.db
+'''
+
 RTRUN_SCRIPT_MEAT=r'''
 verbose=0
 loop=MISSING
@@ -79,6 +84,9 @@
     echo $( date '+%m/%d %H:%M:%SZ' ) rtrun INFO: "$*"
   fi
 }
+unchange=0
+last_cycledone=-999
+last_lostdead=-999
 while [[ 1 == 1 ]] ; do
   log "check dependencies and submit jobs..."
   rocotorun -w workflow.xml -d workflow.db
@@ -85,6 +93,18 @@
   verbose "check status..."
   cycledone=$( sqlite3 workflow.db 'SELECT id FROM cycles WHERE done>0' | wc -l )
   lostdead=$( sqlite3 workflow.db 'SELECT taskname FROM jobs WHERE state=="DEAD" OR state=="LOST"' |wc -l)
+  if [[ "$cycledone" == "$last_cycledone" && \
+        "$lostdead"  == "$last_lostdead" ]] ; then
+      unchange=$(( $unchange + 1 ))
+  else
+      unchange=0
+  fi
+  last_cycledone=$cycledone
+  last_lostdead=$lostdead
+  if [[ "$cycledone" != "$last_cycledone" && \
+        "$lostdead"  != "$last_lostdead" ]] ; then
+    count_since_state_change=$(( count_since_state_change + 1 ))
+  fi
   if [[ "$cycledone" -gt 0 ]] ; then
       # Cycle is complete.
       if [[ "$lostdead" -gt 0 ]] ; then
@@ -121,11 +141,25 @@
           log "workflow is still running and no jobs have failed."
       fi
   fi
-  if [[ "$verbose" -gt 0 && "$have_qoutq" == YES ]] ; then
-      verbose "sleep 2"
-      sleep 2
-      verbose "get queue information"
-      qoutq $qoutq_more -Cd rtgen.$UNIQUE_ID
+  if [[ "$have_qoutq" == YES ]] ; then
+      job_count=$( qoutq -UL .queue_state  $qoutq_more -Cd rtgen.$UNIQUE_ID | wc -l )
+      if [[ "$verbose" -gt 0 ]] ; then
+          verbose "sleep 2"
+          sleep 2
+          verbose "get queue information"
+          qoutq -UL .queue_state $qoutq_more -Cd rtgen.$UNIQUE_ID
+      fi
+      if [[ "$unchange" -gt 2 && "$job_count" < 1 && "$lostdead" -gt 0 ]] ; then
+          log "Jobs have FAILED and no jobs are running or submitted."
+          log "This usually means the remaining jobs are dependent"
+          log "on the FAILED jobs.  Quitting workflow; please check"
+          log "the failed jobs."
+          if [[ "$zero_exit" == YES ]] ; then
+              exit 0
+          else
+              exit 20
+          fi
+      fi
   fi
   log "sleep $sleep_time"
   sleep $sleep_time
@@ -203,9 +237,10 @@
   -u 12345
        Unique integer id to identify this workflow.  Default: unix
        process id of rtgen
-  -n
-       Do not copy the regression test template directory when
-       generating a new baseline.
+  -n /path/to/baseline
+       Use the specified area for the baseline.  If running in baseline
+       mode, the baseline template will NOT be copied.  Instead, the
+       specified area will be used.
   --
        Terminate option processing.  Remaining arguments are subsets.
 
@@ -381,11 +416,11 @@
 
 class RTGen(TestGen):
     def __init__(self,baseline,scratch_dir,unique_id=None,
-                 logger=None,no_copy_template=False,
+                 logger=None,baseline_dir=None,
                  verbose=True,dry_run=False,inputfile=None,
                  setarith=None):
         baseline=bool(baseline)
-        self.no_copy_template=bool(no_copy_template)
+        self.no_copy_template = baseline_dir is not None
         if unique_id is None:
             unique_id=os.getpid()
         scratch_dir=os.path.join(scratch_dir,'rtgen.%d'%unique_id)
@@ -396,8 +431,8 @@
             RocotoRunner,outloc,inputfile,dry_run,unique_id,
             logger=logger,verbose=verbose,setarith=setarith)
         self._scratch_dir=scratch_dir
-        self._new_baseline=None
-        if baseline:
+        self._new_baseline=baseline_dir
+        if baseline and not self._new_baseline:
             self._new_baseline=os.path.join(
                 self._scratch_dir,'REGRESSION_TEST')
     def override(self,scope):
@@ -414,6 +449,7 @@
         return morevars
     def make_more(self,result,con):
         self.make_rtrun()
+        self.make_rtrewind()
         self.make_rtreport()
         #if self._new_baseline:
         #    self.make_baseline_dir()
@@ -464,6 +500,23 @@
 '''%(bashify_string(os.path.realpath(os.path.dirname(__file__))),))
         self.make_rtscript(self.outloc,'rtreport',out.getvalue())
         out.close()
+    def make_rtrewind(self):
+        out=StringIO.StringIO()
+        self.make_bash_load_rocoto(out)
+        out.write(r'''
+if [[ "$#" -lt 1 ]] ; then
+    echo "Syntax: rtrewind job [job [...]]" 1>&2
+    echo "  The \"job\" is a test or build name as defined in"
+    echo "  the compsets/*.input files."
+    exit 1
+fi
+set -x
+command=$( rocotostat -w workflow.xml -d workflow.db -c ALL | \
+    %s/rtrewindimpl "$@" )
+$command
+'''%(bashify_string(os.path.realpath(os.path.dirname(__file__))),))
+        self.make_rtscript(self.outloc,'rtrewind',out.getvalue())
+        out.close()
     def make_rtrun(self):
         out=StringIO.StringIO()
         self.make_bash_load_rocoto(out)
@@ -486,7 +539,7 @@
 
 def parse_arguments():
     try:
-        optval,arglist=getopt.getopt(sys.argv[1:],'vdu:t:bni:p:h')
+        optval,arglist=getopt.getopt(sys.argv[1:],'vdu:t:bn:i:p:h')
     except getopt.GetoptError as ge:
         usage(str(ge))
     verbose=0
@@ -494,7 +547,7 @@
     unique_id=int(os.getpid())
     temp=None
     baseline=False
-    no_copy_template=False
+    baseline_dir=None
     inputfile=None
     project=None
     for opt,val in optval:
@@ -507,7 +560,7 @@
         elif opt=='-d':
             dry_run=True
         elif opt=='-n':
-            no_copy_template=True
+            baseline_dir=val
         elif opt=='-u':
             unique_id=int(val,10)
         elif opt=='-t':
@@ -522,11 +575,11 @@
     for arg in arglist:
         if not re.match('(?sx) \A \s* \Z',arg):
             arglist_nowhite.append(arg)
-    return verbose,no_copy_template,dry_run,baseline,unique_id,temp, \
+    return verbose,baseline_dir,dry_run,baseline,unique_id,temp, \
            inputfile,arglist_nowhite,project
 
 def main():
-    verbose,no_copy_template,dry_run,baseline,unique_id,temp,inputfile,arglist,project = \
+    verbose,baseline_dir,dry_run,baseline,unique_id,temp,inputfile,arglist,project = \
         parse_arguments()
     assert(isinstance(unique_id,int))
 
@@ -543,11 +596,10 @@
         else:
             arith='baseline'
 
-    # Initialize the produtil package.  Disable DBNet alerts to avoid
-    # an irrelevant warning.  Set the jobname so we don't end up with
-    # "NONAME" in jlogfile messages.
+    # Initialize the produtil package.
     produtil.setup.setup(
-        send_dbn=False,jobname='rtgen',
+        send_dbn=False,   # avoids "dbnalert missing" warnings
+        jobname='rtgen',  # set job name for jlogfile messages
         ologlevel=logging.INFO if verbose else logging.WARNING)
     logger=logging.getLogger('rtgen')
 
@@ -593,7 +645,7 @@
               'one of these directories: app-level, NEMS or NEMS/tests.')
 
     testgen=RTGen(baseline,scratch_dir,unique_id,logger,
-                  no_copy_template,inputfile=inputfile,
+                  baseline_dir,inputfile=inputfile,
                   verbose=bool(verbose),dry_run=dry_run,
                   setarith=arith)
     try:
Index: checkout/tests/rtrewindimpl
===================================================================
--- checkout/tests/rtrewindimpl	(nonexistent)
+++ checkout/tests/rtrewindimpl	(revision 84808)
@@ -0,0 +1,37 @@
+#! /usr/bin/env python
+
+import sys, re
+
+joblist=sys.argv[1:]
+
+command="rocotorewind -w workflow.xml -d workflow.db"
+
+sent_cycle=False
+
+def process_line(line,m):
+    match=False
+    for job in joblist:
+        task=m.group(2)
+        if task=="test_"+job:
+            match="test_"+job
+        if task=="build_"+job:
+            match="build_"+job
+        if match:
+            break
+
+    if not match: 
+        return
+
+    global sent_cycle, command
+    if not sent_cycle:
+        command+=" -c "+m.group(1)
+        sent_cycle=True
+
+    command+=" -t "+match
+
+for line in sys.stdin:
+    m=re.match('^(\d+)\s+(\S+)',line)
+    if m:
+        process_line(line,m)
+
+print(command+'\n')

Property changes on: checkout/tests/rtrewindimpl
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: checkout/tests/RegressionTests_wcoss.log
===================================================================
--- checkout/tests/RegressionTests_wcoss.log	(revision 84790)
+++ checkout/tests/RegressionTests_wcoss.log	(revision 84808)
@@ -1,4 +1,4 @@
-Wed Nov  2 18:49:17 UTC 2016
+Tue Nov 22 06:05:44 UTC 2016
 Start Regression test
 
 
@@ -9,7 +9,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_glob
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_cntrl
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_cntrl
 Checking test 1 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -27,7 +27,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_glob
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_nemsio
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_nemsio
 Checking test 2 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0048h_00m_00.00s.........OK
@@ -43,7 +43,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_glob
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_rest
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_rest
 Checking test 3 results ....
  Comparing nmmb_hst_01_bin_0048h_00m_00.00s.........OK
 Test 3 PASS 
@@ -54,7 +54,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_glob
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_rest_nio
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_rest_nio
 Checking test 4 results ....
  Comparing nmmb_hst_01_bin_0048h_00m_00.00s.........OK
 Test 4 PASS 
@@ -65,7 +65,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_glob
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_decomp
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_decomp
 Checking test 5 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -79,7 +79,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_glob
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_thread
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_thread
 Checking test 6 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0048h_00m_00.00s.........OK
@@ -95,7 +95,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_ctl
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_ctl
 Checking test 7 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_nio_0000h_00m_00.00s.........OK
@@ -120,7 +120,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_nemsio
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_nemsio
 Checking test 8 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0012h_00m_00.00s.........OK
@@ -134,7 +134,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_rst
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_rst
 Checking test 9 results ....
  Comparing nmmb_hst_01_bin_0048h_00m_00.00s.........OK
 Test 9 PASS 
@@ -145,7 +145,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_rst_nio
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_rst_nio
 Checking test 10 results ....
  Comparing nmmb_hst_01_bin_0048h_00m_00.00s.........OK
 Test 10 PASS 
@@ -156,7 +156,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_decomp
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_decomp
 Checking test 11 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0012h_00m_00.00s.........OK
@@ -168,7 +168,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_thread
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_thread
 Checking test 12 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0048h_00m_00.00s.........OK
@@ -184,7 +184,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_sel_phy
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_sel_phy
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_sel_phy
 Checking test 13 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -200,7 +200,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_spec_adv
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_spec_adv
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_spec_adv
 Checking test 14 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -216,7 +216,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_spec_adv
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_spec_adv_rst
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_spec_adv_rst
 Checking test 15 results ....
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
  Comparing nmmb_hst_01_nio_0024h_00m_00.00s.........OK
@@ -228,7 +228,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_wsm6_gfdl
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_wsm6_gfdl
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_wsm6_gfdl
 Checking test 16 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -244,7 +244,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_wsm6_rrtm
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_wsm6_rrtm
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_wsm6_rrtm
 Checking test 17 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -260,7 +260,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_sas_zhao
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_sas_zhao
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_sas_zhao
 Checking test 18 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -276,7 +276,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_thomp
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_thomp
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_thomp
 Checking test 19 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -292,7 +292,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_hur
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_hur
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_hur
 Checking test 20 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -308,7 +308,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_pcpadj
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_pcpadj
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_pcpadj
 Checking test 21 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0012h_00m_00.00s.........OK
@@ -324,7 +324,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_timesr
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_timesr
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_timesr
 Checking test 22 results ....
  Comparing nmmb_hst_01_bin_0006h_00m_00.00s.........OK
  Comparing ts_p01_d01.bin.........OK
@@ -337,7 +337,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_nests
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_nests
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_nests
 Checking test 23 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -371,7 +371,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_nests
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_nest_rest
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_nest_rest
 Checking test 24 results ....
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
  Comparing nmmb_hst_01_nio_0024h_00m_00.00s.........OK
@@ -389,7 +389,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_filt
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_filt
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_filt
 Checking test 25 results ....
  Comparing nmmb_hst_01_bin_0003h_00m_00.00s.........OK
  Comparing nmmb_hst_01_nio_0003h_00m_00.00s.........OK
@@ -405,7 +405,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg_filt_zombie
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_filt_zombie
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_filt_zombie
 Checking test 26 results ....
  Comparing nmmb_hst_01_bin_0003h_00m_00.00s.........OK
  Comparing nmmb_hst_01_nio_0003h_00m_00.00s.........OK
@@ -421,7 +421,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_mvg_nests
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_mvg_nests
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_mvg_nests
 Checking test 27 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -455,7 +455,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_mvg_nests
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_mvg_nests_restart
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_mvg_nests_restart
 Checking test 28 results ....
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
  Comparing nmmb_hst_01_nio_0024h_00m_00.00s.........OK
@@ -473,7 +473,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_mvg_nests
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_mvg_nests_gens
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_mvg_nests_gens
 Checking test 29 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -507,7 +507,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_2way_nests
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_2way_nests
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_2way_nests
 Checking test 30 results ....
  Comparing nmmb_hst_01_bin_0000h_00m_00.00s.........OK
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
@@ -541,7 +541,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_2way_nests
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_2way_nests_restart
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_2way_nests_restart
 Checking test 31 results ....
  Comparing nmmb_hst_01_bin_0024h_00m_00.00s.........OK
  Comparing nmmb_hst_01_nio_0024h_00m_00.00s.........OK
@@ -560,7 +560,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_rst_nio_debug
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_rst_nio_debug
 Checking test 32 results ....
 Test 32 PASS 
 
@@ -570,7 +570,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_rst_debug
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_rst_debug
 Checking test 33 results ....
 Test 33 PASS 
 
@@ -580,7 +580,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_reg
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_reg_ctl_debug
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_reg_ctl_debug
 Checking test 34 results ....
 Test 34 PASS 
 
@@ -590,7 +590,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/NMMB_2way_nests
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/nmm_2way_nests_debug
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/nmm_2way_nests_debug
 Checking test 35 results ....
 Test 35 PASS 
 
@@ -605,7 +605,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/GFS_EULERIAN
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/gfs_eulerian
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/gfs_eulerian
 Checking test 36 results ....
  Comparing sigf03.........OK
  Comparing sigf06.........OK
@@ -633,7 +633,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/WAM_gh_l150
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/wam_gh_l150
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/wam_gh_l150
 Checking test 37 results ....
  Comparing sigf00.........OK
  Comparing sigf03.........OK
@@ -661,7 +661,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/WAM_gh_l150_nemsio
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/wam_gh_l150_nemsio
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/wam_gh_l150_nemsio
 Checking test 38 results ....
  Comparing sigf00.........OK
  Comparing sigf03.........OK
@@ -692,7 +692,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/GFS_SLG
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/gfs_slg
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/gfs_slg
 Checking test 39 results ....
  Comparing sigf00.........OK
  Comparing sigf01.........OK
@@ -714,7 +714,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/GFS_SLG_NSST
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/gfs_slg_nsst
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/gfs_slg_nsst
 Checking test 40 results ....
  Comparing sigf00.........OK
  Comparing sigf01.........OK
@@ -739,7 +739,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/GFS_SLG_ADIABATIC
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/gfs_slg_adiabatic
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/gfs_slg_adiabatic
 Checking test 41 results ....
  Comparing sigf00.........OK
  Comparing sigf06.........OK
@@ -756,7 +756,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/GFS_SLG_48PE
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/gfs_slg_48pe
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/gfs_slg_48pe
 Checking test 42 results ....
  Comparing sigf00.........OK
  Comparing sigf06.........OK
@@ -781,7 +781,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/GFS_SLG
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/gfs_slg_2thread
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/gfs_slg_2thread
 Checking test 43 results ....
  Comparing sigf00.........OK
  Comparing SIG.F06.........OK
@@ -803,7 +803,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/GFS_SLG_RSTHST
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/gfs_slg_rsthst
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/gfs_slg_rsthst
 Checking test 44 results ....
  Comparing sigf30.........OK
  Comparing sigf48.........OK
@@ -822,7 +822,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/GFS_SLG_T574
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/gfs_slg_t574
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/gfs_slg_t574
 Checking test 45 results ....
  Comparing sigf00.........OK
  Comparing SIG.F06.........OK
@@ -847,7 +847,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/GFS_SLG_STOCHY
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/gfs_slg_stochy
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/gfs_slg_stochy
 Checking test 46 results ....
  Comparing sigf00.........OK
  Comparing sigf01.........OK
@@ -869,7 +869,7 @@
 
 
 baseline dir = /nems/noscrub/emc.nemspara/REGRESSION_TEST/GFS_SLG_LAND
-working dir  = /ptmpp1/Samuel.Trahan/rt_5130/gfs_slg_land
+working dir  = /ptmpp1/Samuel.Trahan/rt_28405/gfs_slg_land
 Checking test 47 results ....
  Comparing sigf00.........OK
  Comparing sigf01.........OK
@@ -916,4 +916,4 @@
 
 
 REGRESSION TEST WAS SUCCESSFUL
-Thu Nov  3 00:34:12 UTC 2016
+Tue Nov 22 11:42:10 UTC 2016
Index: checkout/tests
===================================================================
--- checkout/tests	(revision 84790)
+++ checkout/tests	(revision 84808)

Property changes on: checkout/tests
___________________________________________________________________
Modified: svn:externals
## -1 +1 ##
-produtil   https://svnemc.ncep.noaa.gov/projects/nceplibs/produtil/branches/regtests
+produtil   -r 84807 https://svnemc.ncep.noaa.gov/projects/nceplibs/produtil/branches/regtests
Modified: svn:mergeinfo
## -0,0 +0,2 ##
   Merged /nems/branches/rusage/tests:r84799-84801,84804
   Merged /nems/branches/regtests/tests:r84790-84807
Index: checkout
===================================================================
--- checkout	(revision 84790)
+++ checkout	(revision 84808)

Property changes on: checkout
___________________________________________________________________
Modified: svn:mergeinfo
## -0,0 +0,2 ##
   Merged /nems/branches/regtests:r84790-84807
   Merged /nems/branches/rusage:r84799-84801,84804


More information about the Ncep.list.nems.announce mailing list